Ecmsphp开发中心

209

帖子

19

跟帖

6

粉丝

用户组:VIP会员

头    衔:白银会员

版主

积分
277068
登陆
2033 次
私信
注册时间
2014-06-21 14:06:06
最后登陆时间
2020-09-22 16:21:04

帝国CMS7.5支持PHP7.*系列,兼容性更好

 [只看主题]
楼主
0 |
发表: 2 年前 修改: 2 年前
| |
| |
跳转

PHP7版本对PHP改动大,去掉了MYSQL扩展模块等,导致部分函数无法正常使用。因而,帝国CMS7.5新增对PHP7.*系列运行环境的支持,兼容性更好。

使用PHP7.*运行环境时,以下两种情况,设置支持PHP7.*操作步骤:
1、全新安装帝国CMS时:
只需安装时“MYSQL接口类型”选择“mysqli”即可支持PHP7系列。

2、已经安装好帝国CMS换PHP7.*运行环境时:
只需修改配置文件“/e/config/config.php”将“$ecms_config['db']['usedb']='mysql';”修改为“$ecms_config['db']['usedb']='mysqli';”即可支持PHP7系列。(注意事项:UTF8文件不能用记事本修改文件,否则会将文件转为GBK编码,推荐用Dreamweaver修改。)

ecmsphp开发中心
ecmsphp开发中心
验证码 换一个

当前在线人数: 0
取消

感谢您的支持,我们会继续努力!

扫码支持
扫码打赏,你说多少就多少

打开支付宝扫一扫,即可进行扫码打赏哦

×

打开微信“扫一扫”,打开网页后点击屏幕右上角分享按钮

帝国CMS7.5支持PHP7.*系列,兼容性更好